import { select, arc } from 'd3';
const svg = select('svg')
				.style('background-color','#345678');

const eyeYOffset = -40;
const eye_spacing = 90;
const height = parseFloat(svg.attr('height'));
const width = parseFloat(svg.attr('width'));
const eyebrowy = -25;


const g = svg
  .append('g')
    .attr('transform',`translate(${ width / 2 }, ${ height / 2})`);


const circle = g
  .append('circle')
    .attr('r', height/2)
    .attr('fill','yellow')
    .attr('stroke','black')
    .attr('stroke-width','3');

const eyesG = g
  .append('g')
    .attr('transform',`translate(0, ${eyeYOffset})`);

const left_eye = eyesG
  .append('circle')
    .attr('cx', - eye_spacing)
    .attr('r', 30);

const right_eye = eyesG
  .append('circle')
    .attr('cx', + eye_spacing)
    .attr('r', 30);
 
const eyebrows = eyesG
  .append('g');


const eyebrow_r = eyebrows
	.append('path')
    .attr('d', arc ()({
          innerRadius: 30,
          outerRadius: 50,
          startAngle: Math.PI*7/3,
          endAngle: Math.PI*5/3}))
    .attr('transform',`translate(${eye_spacing}, ${eyebrowy})`)

const eyebrow_l = eyebrows
  .append('path')
    .attr('d', arc ()({
          innerRadius: 30,
          outerRadius: 50,
          startAngle: Math.PI*7/3,
          endAngle: Math.PI*5/3}))
      .attr('transform',`translate(${-eye_spacing}, ${eyebrowy})`);

eyebrow_l
  .transition().duration(200)
    .attr('transform',`translate(${-eye_spacing}, ${eyebrowy-80})`)
  .transition().duration(200)
    .attr('transform',`translate(${-eye_spacing}, ${eyebrowy})`);
	eyebrow_r
    .transition().duration(400)
      .attr('transform',`translate(${+eye_spacing}, ${eyebrowy-80})`)
    .transition().duration(400)
      .attr('transform',`translate(${+eye_spacing}, ${eyebrowy})`);


const nose = g
	.append('circle')
		.attr('r',20)
		.style('fill','red')
		.style('stroke', 'black')
		.style('stroke-width', 5);


const mouth = g
	.append('path')
    .attr('d', arc ()({
          innerRadius: 100,
          outerRadius: 120,
          startAngle: Math.PI*2/3,
          endAngle: Math.PI*4/3}));
							
